<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.2/css/all.min.css"
          integrity="sha512-HK5fgLBL+xu6dm/Ii3z4xhlSUyZgTT9tuc/hSrtw6uzJOvgRr2a9jyxxT1ely+B+xFAmJKVSTbpM/CuL7qxO8w=="
          crossorigin="anonymous"/>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/normalize/8.0.1/normalize.min.css"
          integrity="sha512-NhSC1YmyruXifcj/KFRWoC561YpHpc5Jtzgvbuzx5VozKpWvQ+4nXhPdFgmx8xqexRcpAglTj9sIBWINXa8x5w=="
          crossorigin="anonymous"/>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/css/bootstrap.min.css" rel="stylesheet"
          integrity="sha384-giJF6kkoqNQ00vy+HMDP7azOuL0xtbfIcaT9wjKHr8RbDVddVHyTfAAsrekwKmP1" crossorigin="anonymous">
    <link rel="stylesheet" href="css/style.css">
    <title>Med.API</title>
</head>
<body>

<section class="auth-form" id="authorization">
    <form onsubmit="return false;" class="auth-form__body">
        <div class="mb-3">
            <label for="email" class="form-label">Email address:</label>
            <input type="email" class="form-control" id="email" placeholder="name@example.com" readonly
                   value="name@example.com">
        </div>
        <div class="mb-3">
            <label for="password" class="form-label">Password:</label>
            <input type="password" class="form-control" id="password" placeholder="name@example.com" readonly
                   value="password">
        </div>
        <div class="form-check form-switch">
            <input class="form-check-input" type="checkbox" id="stay-in" checked>
            <label class="form-check-label" for="stay-in">Stay in?</label>
        </div>
        <div class="col-auto">
            <button type="submit" class="btn btn-primary mb-3" id="sign-in">Sign in</button>
        </div>
    </form>
    <p class="alert alert-danger dn" role="alert" id="alert-auth">
        Password or e-mail incorrect! Try Again!!!
    </p>
</section>

<section class="api-body dn" id="api-body">
    <header class="header">
        <div class="header__container">
            <a class="header__logo" href="https://www.mayoclinic.org/healthy-lifestyle"><i
                    class="fas fa-plus-circle"></i>&nbsp;Med.API</a>

            <div>
                <button type="button" class="btn btn-primary" id="sign-out">Sign Out</button>
                <button class="btn btn-success" id="add-appointment">Add appointment</button>
            </div>
        </div>

        <section class="navbar navbar-expand-lg navbar-light bg-light">
            <div class="container-fluid">
                <a class="navbar-brand" href="#">Find Patient</a>
                <button class="navbar-toggler" type="button" data-bs-toggle="collapse"
                        data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent"
                        aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>
                <div class="collapse navbar-collapse" id="navbarSupportedContent">
                    <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                        <li class="nav-item dropdown">
                            <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button"
                               data-bs-toggle="dropdown" aria-expanded="false">
                                Status
                            </a>
                            <ul class="dropdown-menu" aria-labelledby="navbarDropdown">
                                <li><a class="dropdown-item" href="#" id="filter-open">Open</a></li>
                                <li><a class="dropdown-item" href="#" id="filter-closed">Closed</a></li>
                            </ul>
                        </li>

                        <li class="nav-item dropdown">
                            <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown1" role="button"
                               data-bs-toggle="dropdown" aria-expanded="false">
                                Priority
                            </a>
                            <ul class="dropdown-menu" aria-labelledby="navbarDropdown">
                                <li><a class="dropdown-item" href="#" id="filter-low">Low</a></li>
                                <li><a class="dropdown-item" href="#" id="filter-default">Default</a></li>
                                <li><a class="dropdown-item" href="#" id="filter-high">High</a></li>
                            </ul>
                        </li>
                    </ul>
                    <div class="d-flex">
                        <input class="form-control me-2" id="search-input" type="search" placeholder="Enter search params..." aria-label="Search">
                        <button class="btn btn-outline-success" type="submit" id="search-button">Search</button>
                        <button class="btn btn-danger btn-outline-reset" type="reset" id="reset-button" style="margin-left: 10px;">Reset</button>
                    </div>
                </div>
            </div>
        </section>

        <section class="create-card dn" id="create-card">
            <form onsubmit="return false;" class="create-card__modal" id="modal">
                <div class="create-card__cell">
                    <label for="doctor">&nbsp;Doctor&nbsp;category:&nbsp;</label>
                    <select required class="form-select form-select-sm user-data" id="doctor" name="category">
                        <option value="" selected>Choose category</option>
                        <option value="Cardiologist">Cardiologist</option>
                        <option value="Dentist">Dentist</option>
                        <option value="Therapist">Therapist</option>
                    </select>

                    <label for="status">&nbsp;Visit&nbsp;status:&nbsp;</label>
                    <select required class="form-select form-select-sm user-data" id="status" name="status">
                        <option value="" selected>Choose status</option>
                        <option value="Open">Open</option>
                        <option value="Closed">Closed</option>
                    </select>

                    <label for="priority">&nbsp;Patient&nbsp;priority:&nbsp;</label>
                    <select class="form-select form-select-sm user-data" id="priority" required name="priority">
                        <option value="" selected>Choose priority</option>
                        <option value="Low">Low</option>
                        <option value="Default">Default</option>
                        <option value="High">High</option>
                    </select>

                </div>
                <br>
                <div class="create-card__cell">
                    <label for="date">&nbsp;Appointment&nbsp;data:&nbsp;</label>
                    <input required class="form-control user-data" type="datetime-local" placeholder="Choose time" id="date" name="data">

                    <label for="patient-name">&nbsp;Patient&nbsp;name:&nbsp;</label>
                    <input required class="form-control user-data" type="text" placeholder="Enter patient name" id="patient-name" name="name">

                    <label for="patient-age">&nbsp;Patient&nbsp;age:&nbsp;</label>
                    <input required class="form-control user-data" type="text" placeholder="Enter patient age" id="patient-age" name="age">
                </div>
                <br>
                <label for="patient-reason">&nbsp;Visit&nbsp;reason:&nbsp;</label>
                <textarea required class="form-control user-data" id="patient-reason" rows="3" name="reason"></textarea>
                <br>
                <div class="create-card__cell btn__cell">
                    <button type="submit" class="btn btn-success btn__modal" id="create-btn">Create</button>
                    <button type="submit" class="btn btn-warning btn__modal" disabled id="edit-btn">Save changes</button>
                    <button type="button" class="btn btn-danger btn__modal" id="close-btn">Close</button>
                </div>
            </form>
        </section>

    </header>

    <div class="alert alert-danger dn" id="alert-cards">
        <h4 class="alert-heading">No items!</h4>
        <p>Probably database is empty or search didn't match anything!</p>
        <hr>
        <p class="mb-0">Try to add new cards or reset search params.</p>
    </div>

    <section class="app-cards" id="app-cards">

    </section>

    <footer class="footer footer-bottom" id="footer">
        <span class="footer__caption">© 2020-2021 Dan.IT step project. All rights reserved.</span>
    </footer>
</section>

<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-ygbV9kiqUc6oa4msXn9868pTtWMgiQaeYH7/t7LECLbyPA2x65Kgf80OJFdroafW"
        crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.5.1/jquery.min.js"
        integrity="sha512-bLT0Qm9VnAYZDflyKcBaQ2gg0hSYNQrJ8RilYldYQ1FxQYoCLtUjuuRuZo+fjqhx/qtq/1itJ0C2ejDxltZVFg=="
        crossorigin="anonymous"></script>
<script type="module" src="js/login.js"></script>
<script type="module" src="js/Visit.js"></script>
<script type="module" src="js/queriesAPI.js"></script>
<script type="module" src="js/addCard.js"></script>
<script type="module"  src="js/search.js"></script>
</body>
</html>